Subject: RE: [Forces-protocol] Notes from ForCES protocol meeting call

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Thu, 13 May 2004 18:05:52 -0700

Weiming, All,

Thanks for this posting. Describing the message format in this detail
makes it easy to understand and is useful. One clarification, Event Flag
is part of the V in TLV, right ?

Couple of other questions...
What does Event 'Config' msg mean ? What direction is this msg CE-FE ??
I am a little confused about this.
What does Event 'Report' mean? I think this is a Event Notification from
FE->CE, correct ?

One good technical point that I just thought of (after reading your msg
format below :)), is that we don't want to have Responses for Event
msgs. They are asynchronous messages to notify events for the most part.
But we do need Responses for HBs and Subscribe/Unsubscribe. So how do
you address that issue if you make HBs, Subscribe, etc part of Event
msg. This might be a good reason to have them as separate msgs, but I
would like to know your thoughts on this ?

Thanks
Hormuzd

-----Original Message-----
From: Weiming Wang [mailto:[email-masked]] 

BTW, have we decided on separate messages for HBs or is it part of
events ? If this is part of event then this might be another Event msg
from CE to FE.

[Weiming] I suggest to treat HB as an event. In this way, we then can
start (by
subscribe) or stop (unsubscribe) it very easily. And moreover, we may
even set
parameters to the HB such as the HB interval. Talking about this, I
actually
have another thought that, HB is not the only event that need to setup
parameters before we start them, therefore, apart from 'subscribe' and
unsubscribe' for events, we may also need operations such as 'config'.
Pls allow
me to use PDU to explain this more,  and also try to response to Jamal
on the
possible event msg format ask.

EventMsg = CommonHeader(MsgType = 'Event') : TLV : TLV : ...  : TLV
TLV = Type : Length : Value
Type = EventFlag(1bit) : 'Subscribe' | 'Unsubscribe' | 'Report' |
'Config'
EventFlag = 'LFBEvent' | 'NonLFBEvent (or called FEEvent) '
Value (with EventFlag = 'LFBEvent') = LFBtypeID : LFBInstanceID :
EventDescription
Value (with EventFlag = 'NonLFBEvent') = EventDescription
EventDescription for 'Subscribe' / 'Unsubscribe' =  EventType(XML or ID,
to be
decided?)
EventDescription for 'Report' = EventType : [Length] : EventValue(XML?)
EventDescription for 'Config' = EventType : [Length] :
EventParameterDescription(XML?)

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

---

From: Jamal Hadi Salim <[email-masked]>
Date: 13 May 2004 21:27:58 -0400

Hormuzd,
Strange but we raised the same questions asynchronously ;->
It is semantically cleaner to see HB as synchronous as opposed to 
async - which is closely mapped to events. So it may make sense
to have them as separate. The subscribe unsucribe is very valuable to
have even if the messages are separate.

cheers,
jamal

---

From: "Wang,Weiming" <[email-masked]>
Date: Fri, 14 May 2004 15:21:03 +0800

Hi Hormuzd, and Jamal as well,

----- Original Message -----
From: "Khosravi, Hormuzd M" <[email-masked]>
Weiming, All,

Thanks for this posting. Describing the message format in this detail
makes it easy to understand and is useful. One clarification, Event Flag
is part of the V in TLV, right ?
[Weimig]I'v made a clarification on this flag in my reply to Jamal, could you
see there for my thought?

Couple of other questions...
What does Event 'Config' msg mean ? What direction is this msg CE-FE ??
I am a little confused about this.
[Weiming] I actually have mentioned this a little in the last post. My original
thought was some events may need to setup some parameters (may be called Event
attributes) before they can act. E.g., the HB event, it may be told the time
interval to send the HB signals before it can actually be used, therefore, the
Event config op is used to set up the time interval for the HB. The direction is
surely be from CE->FE.
Of course, this event attributes can also be configured by Config msg, owing to
the same reason for Sub/Unsub ops, we may also put it in Event msg. We may need
to discuss it more on which is better?
[/Weiming]

What does Event 'Report' mean? I think this is a Event Notification from
FE->CE, correct ?
[Weiming] Yes. I may change it, just a little unaccustomed to the name :).

[Weiming] You'v raised one important thing I missed, that is, we need to have
Event Response msg.  By using the ACK flags in the common header, we are very
flexible to accommedate the cases you mentioned above. E.g.,
For Event Sub/Unsub/Config ops, usually we need the responses, therefore, the
msgs are set to request ACKs.
For Event Notification(Report), we may in most cases do not need the responses,
but whenever we need it, just set the ACK flags. Actually, I think we may quite
possibly have other event notifications as well as HBs that need responses,
e.g., a capability change event notification may be very willing to be ACKed
that the CE has surely received the msg.
[/Weiming]

Thanks
Hormuzd